Subject: Re: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Oct 2021 17:14:39 +0300

> Cc: Juri Linkov <[email-masked]>
> From: martin rudalics <[email-masked]>
> Date: Mon, 18 Oct 2021 10:21:40 +0200
> 
>  > Some functions in tab-bar.el and the data they return are documented
>  > insufficiently, so much so that it makes the code there very hard to
>  > develop and maintain by anyone except the original author.
> 
> I now added a few tab bar and tab line related elements to the Elisp
> manual.  Please have a look and tell me if anything else should be added
> or done.

Thanks.  Some comments/questions:

> +@item Tab Bar
> +@cindex internal tab bar

Why "internal"? copy/pasta?

You use the term "minibuffer window", which I think is sub-optimal:
that window is also used for displaying the echo-area.  I prefer the
term "mini-window" instead.

> +Note that the window returned by @code{minibuffer-window} called with
> +the argument @var{frame} is returned by @code{window-list} called with
> +the same argument if and only if that window actually belongs to
> +@var{frame}.

This is a mouthful (is it really important to say this here?).  Please
rephrase, in particular with fewer instances of the passive tense.
(The next sentence after that is also unnecessarily passive and hard
to read.)

I made a few minor editing changes in the text you installed.

Thanks for taking care of the manual.